/*
 * osdthumbitem.h
 *
 * Copyright (C) 2008 Christophe Thommeret <hftom@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef OSDTHUMBITEM_H
#define OSDTHUMBITEM_H

#include "osdobject.h"



class OsdThumbItem : public OsdObject
{

public:
	OsdThumbItem( OsdConfig *conf, const QString &t, const QString &thumbpath, QImage *nothumb );
	~OsdThumbItem();
	void setText( const QString &t ) { fileName=t; }
	QString text() { return fileName; }
	void setThumb( const QString &file ) { thumbFileName=file; }
	bool updateThumb( const QString &s );

	void paint() {}
	void paint( QRectF r );
	void paintText( QRectF r );

private:
	bool load();
	bool loadDef();
	bool loadText();

	QString fileName, thumbFileName;
	QImage *noThumb;
	GLuint texture, fnameTexture;
	GLfloat u, u1, v, v1;
	GLfloat tu, tu1, tv, tv1, twidth;
	bool hasThumb, hasDefThumb, hasText;
};

#endif // OSDTHUMBITEM_H
